Update Campaign By Id
curl --request PUT \
--url 'https://api.example.com/api/v1/campaign/update/{campaign_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "outbound_call",
"attributes": {},
"execution_weekdays": [
123
],
"time_window_start": "<string>",
"time_window_end": "<string>",
"time_zone": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"interval": 123,
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/campaign/update/{campaign_id}?api_key="
payload = {
"name": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "outbound_call",
"attributes": {},
"execution_weekdays": [123],
"time_window_start": "<string>",
"time_window_end": "<string>",
"time_zone": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"interval": 123,
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
widget_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'outbound_call',
attributes: {},
execution_weekdays: [123],
time_window_start: '<string>',
time_window_end: '<string>',
time_zone: '<string>',
start_time: '2023-11-07T05:31:56Z',
interval: 123,
enabled: true
})
};
fetch('https://api.example.com/api/v1/campaign/update/{campaign_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data updated successfully",
"meta": {},
"data": {
"name": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "outbound_call",
"attributes": {},
"status": "not_started",
"execution_weekdays": [
123
],
"time_window_start": "<string>",
"time_window_end": "<string>",
"time_zone": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"interval": 123,
"enabled": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign
Update Campaign By Id
Update variable
PUT
/
api
/
v1
/
campaign
/
update
/
{campaign_id}
Update Campaign By Id
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
Body
application/json
Available options:
outbound_call Available options:
not_started, to_be_run, in_progress, paused, cancelled, completed Was this page helpful?

